### Method

# GIRepository RegisteredTypeInfo get_g_type

since: 2.80

#### Declaration

    GType
    gi_registered_type_info_get_g_type (
      GIRegisteredTypeInfo* info
    )

#### Description

Obtain the `GType` for this registered type.

If there is no type information associated with `info`, or the shared library which provides the `type_init` function for `info` cannot be called, then `G_TYPE_NONE` is returned.

Available since: 2.80

#### Return value

Type: `GType`

The `GType`, or `G_TYPE_NONE` if unknown.